Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network23.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
23.0.0.0
Broadcast address
23.255.255.255
First usable
23.0.0.1
Last usable
23.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 17000000 · Integer 385875968 to 402653183
Reverse DNS zone
23.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010111..00000000.00000000.0000000023.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00010111..00000000.00000000.0000000023.0.0.0
Broadcast00010111..11111111.11111111.1111111123.255.255.255
Split into smaller subnets/15

23.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
123.0.0.0/1523.0.0.1 to 23.1.255.25423.1.255.255131,070
223.2.0.0/1523.2.0.1 to 23.3.255.25423.3.255.255131,070
323.4.0.0/1523.4.0.1 to 23.5.255.25423.5.255.255131,070
423.6.0.0/1523.6.0.1 to 23.7.255.25423.7.255.255131,070
523.8.0.0/1523.8.0.1 to 23.9.255.25423.9.255.255131,070
623.10.0.0/1523.10.0.1 to 23.11.255.25423.11.255.255131,070
723.12.0.0/1523.12.0.1 to 23.13.255.25423.13.255.255131,070
823.14.0.0/1523.14.0.1 to 23.15.255.25423.15.255.255131,070
923.16.0.0/1523.16.0.1 to 23.17.255.25423.17.255.255131,070
1023.18.0.0/1523.18.0.1 to 23.19.255.25423.19.255.255131,070
1123.20.0.0/1523.20.0.1 to 23.21.255.25423.21.255.255131,070
1223.22.0.0/1523.22.0.1 to 23.23.255.25423.23.255.255131,070
1323.24.0.0/1523.24.0.1 to 23.25.255.25423.25.255.255131,070
1423.26.0.0/1523.26.0.1 to 23.27.255.25423.27.255.255131,070
1523.28.0.0/1523.28.0.1 to 23.29.255.25423.29.255.255131,070
1623.30.0.0/1523.30.0.1 to 23.31.255.25423.31.255.255131,070
1723.32.0.0/1523.32.0.1 to 23.33.255.25423.33.255.255131,070
1823.34.0.0/1523.34.0.1 to 23.35.255.25423.35.255.255131,070
1923.36.0.0/1523.36.0.1 to 23.37.255.25423.37.255.255131,070
2023.38.0.0/1523.38.0.1 to 23.39.255.25423.39.255.255131,070
2123.40.0.0/1523.40.0.1 to 23.41.255.25423.41.255.255131,070
2223.42.0.0/1523.42.0.1 to 23.43.255.25423.43.255.255131,070
2323.44.0.0/1523.44.0.1 to 23.45.255.25423.45.255.255131,070
2423.46.0.0/1523.46.0.1 to 23.47.255.25423.47.255.255131,070
2523.48.0.0/1523.48.0.1 to 23.49.255.25423.49.255.255131,070
2623.50.0.0/1523.50.0.1 to 23.51.255.25423.51.255.255131,070
2723.52.0.0/1523.52.0.1 to 23.53.255.25423.53.255.255131,070
2823.54.0.0/1523.54.0.1 to 23.55.255.25423.55.255.255131,070
2923.56.0.0/1523.56.0.1 to 23.57.255.25423.57.255.255131,070
3023.58.0.0/1523.58.0.1 to 23.59.255.25423.59.255.255131,070
3123.60.0.0/1523.60.0.1 to 23.61.255.25423.61.255.255131,070
3223.62.0.0/1523.62.0.1 to 23.63.255.25423.63.255.255131,070
3323.64.0.0/1523.64.0.1 to 23.65.255.25423.65.255.255131,070
3423.66.0.0/1523.66.0.1 to 23.67.255.25423.67.255.255131,070
3523.68.0.0/1523.68.0.1 to 23.69.255.25423.69.255.255131,070
3623.70.0.0/1523.70.0.1 to 23.71.255.25423.71.255.255131,070
3723.72.0.0/1523.72.0.1 to 23.73.255.25423.73.255.255131,070
3823.74.0.0/1523.74.0.1 to 23.75.255.25423.75.255.255131,070
3923.76.0.0/1523.76.0.1 to 23.77.255.25423.77.255.255131,070
4023.78.0.0/1523.78.0.1 to 23.79.255.25423.79.255.255131,070
4123.80.0.0/1523.80.0.1 to 23.81.255.25423.81.255.255131,070
4223.82.0.0/1523.82.0.1 to 23.83.255.25423.83.255.255131,070
4323.84.0.0/1523.84.0.1 to 23.85.255.25423.85.255.255131,070
4423.86.0.0/1523.86.0.1 to 23.87.255.25423.87.255.255131,070
4523.88.0.0/1523.88.0.1 to 23.89.255.25423.89.255.255131,070
4623.90.0.0/1523.90.0.1 to 23.91.255.25423.91.255.255131,070
4723.92.0.0/1523.92.0.1 to 23.93.255.25423.93.255.255131,070
4823.94.0.0/1523.94.0.1 to 23.95.255.25423.95.255.255131,070
4923.96.0.0/1523.96.0.1 to 23.97.255.25423.97.255.255131,070
5023.98.0.0/1523.98.0.1 to 23.99.255.25423.99.255.255131,070
5123.100.0.0/1523.100.0.1 to 23.101.255.25423.101.255.255131,070
5223.102.0.0/1523.102.0.1 to 23.103.255.25423.103.255.255131,070
5323.104.0.0/1523.104.0.1 to 23.105.255.25423.105.255.255131,070
5423.106.0.0/1523.106.0.1 to 23.107.255.25423.107.255.255131,070
5523.108.0.0/1523.108.0.1 to 23.109.255.25423.109.255.255131,070
5623.110.0.0/1523.110.0.1 to 23.111.255.25423.111.255.255131,070
5723.112.0.0/1523.112.0.1 to 23.113.255.25423.113.255.255131,070
5823.114.0.0/1523.114.0.1 to 23.115.255.25423.115.255.255131,070
5923.116.0.0/1523.116.0.1 to 23.117.255.25423.117.255.255131,070
6023.118.0.0/1523.118.0.1 to 23.119.255.25423.119.255.255131,070
6123.120.0.0/1523.120.0.1 to 23.121.255.25423.121.255.255131,070
6223.122.0.0/1523.122.0.1 to 23.123.255.25423.123.255.255131,070
6323.124.0.0/1523.124.0.1 to 23.125.255.25423.125.255.255131,070
6423.126.0.0/1523.126.0.1 to 23.127.255.25423.127.255.255131,070
6523.128.0.0/1523.128.0.1 to 23.129.255.25423.129.255.255131,070
6623.130.0.0/1523.130.0.1 to 23.131.255.25423.131.255.255131,070
6723.132.0.0/1523.132.0.1 to 23.133.255.25423.133.255.255131,070
6823.134.0.0/1523.134.0.1 to 23.135.255.25423.135.255.255131,070
6923.136.0.0/1523.136.0.1 to 23.137.255.25423.137.255.255131,070
7023.138.0.0/1523.138.0.1 to 23.139.255.25423.139.255.255131,070
7123.140.0.0/1523.140.0.1 to 23.141.255.25423.141.255.255131,070
7223.142.0.0/1523.142.0.1 to 23.143.255.25423.143.255.255131,070
7323.144.0.0/1523.144.0.1 to 23.145.255.25423.145.255.255131,070
7423.146.0.0/1523.146.0.1 to 23.147.255.25423.147.255.255131,070
7523.148.0.0/1523.148.0.1 to 23.149.255.25423.149.255.255131,070
7623.150.0.0/1523.150.0.1 to 23.151.255.25423.151.255.255131,070
7723.152.0.0/1523.152.0.1 to 23.153.255.25423.153.255.255131,070
7823.154.0.0/1523.154.0.1 to 23.155.255.25423.155.255.255131,070
7923.156.0.0/1523.156.0.1 to 23.157.255.25423.157.255.255131,070
8023.158.0.0/1523.158.0.1 to 23.159.255.25423.159.255.255131,070
8123.160.0.0/1523.160.0.1 to 23.161.255.25423.161.255.255131,070
8223.162.0.0/1523.162.0.1 to 23.163.255.25423.163.255.255131,070
8323.164.0.0/1523.164.0.1 to 23.165.255.25423.165.255.255131,070
8423.166.0.0/1523.166.0.1 to 23.167.255.25423.167.255.255131,070
8523.168.0.0/1523.168.0.1 to 23.169.255.25423.169.255.255131,070
8623.170.0.0/1523.170.0.1 to 23.171.255.25423.171.255.255131,070
8723.172.0.0/1523.172.0.1 to 23.173.255.25423.173.255.255131,070
8823.174.0.0/1523.174.0.1 to 23.175.255.25423.175.255.255131,070
8923.176.0.0/1523.176.0.1 to 23.177.255.25423.177.255.255131,070
9023.178.0.0/1523.178.0.1 to 23.179.255.25423.179.255.255131,070
9123.180.0.0/1523.180.0.1 to 23.181.255.25423.181.255.255131,070
9223.182.0.0/1523.182.0.1 to 23.183.255.25423.183.255.255131,070
9323.184.0.0/1523.184.0.1 to 23.185.255.25423.185.255.255131,070
9423.186.0.0/1523.186.0.1 to 23.187.255.25423.187.255.255131,070
9523.188.0.0/1523.188.0.1 to 23.189.255.25423.189.255.255131,070
9623.190.0.0/1523.190.0.1 to 23.191.255.25423.191.255.255131,070
9723.192.0.0/1523.192.0.1 to 23.193.255.25423.193.255.255131,070
9823.194.0.0/1523.194.0.1 to 23.195.255.25423.195.255.255131,070
9923.196.0.0/1523.196.0.1 to 23.197.255.25423.197.255.255131,070
10023.198.0.0/1523.198.0.1 to 23.199.255.25423.199.255.255131,070
10123.200.0.0/1523.200.0.1 to 23.201.255.25423.201.255.255131,070
10223.202.0.0/1523.202.0.1 to 23.203.255.25423.203.255.255131,070
10323.204.0.0/1523.204.0.1 to 23.205.255.25423.205.255.255131,070
10423.206.0.0/1523.206.0.1 to 23.207.255.25423.207.255.255131,070
10523.208.0.0/1523.208.0.1 to 23.209.255.25423.209.255.255131,070
10623.210.0.0/1523.210.0.1 to 23.211.255.25423.211.255.255131,070
10723.212.0.0/1523.212.0.1 to 23.213.255.25423.213.255.255131,070
10823.214.0.0/1523.214.0.1 to 23.215.255.25423.215.255.255131,070
10923.216.0.0/1523.216.0.1 to 23.217.255.25423.217.255.255131,070
11023.218.0.0/1523.218.0.1 to 23.219.255.25423.219.255.255131,070
11123.220.0.0/1523.220.0.1 to 23.221.255.25423.221.255.255131,070
11223.222.0.0/1523.222.0.1 to 23.223.255.25423.223.255.255131,070
11323.224.0.0/1523.224.0.1 to 23.225.255.25423.225.255.255131,070
11423.226.0.0/1523.226.0.1 to 23.227.255.25423.227.255.255131,070
11523.228.0.0/1523.228.0.1 to 23.229.255.25423.229.255.255131,070
11623.230.0.0/1523.230.0.1 to 23.231.255.25423.231.255.255131,070
11723.232.0.0/1523.232.0.1 to 23.233.255.25423.233.255.255131,070
11823.234.0.0/1523.234.0.1 to 23.235.255.25423.235.255.255131,070
11923.236.0.0/1523.236.0.1 to 23.237.255.25423.237.255.255131,070
12023.238.0.0/1523.238.0.1 to 23.239.255.25423.239.255.255131,070
12123.240.0.0/1523.240.0.1 to 23.241.255.25423.241.255.255131,070
12223.242.0.0/1523.242.0.1 to 23.243.255.25423.243.255.255131,070
12323.244.0.0/1523.244.0.1 to 23.245.255.25423.245.255.255131,070
12423.246.0.0/1523.246.0.1 to 23.247.255.25423.247.255.255131,070
12523.248.0.0/1523.248.0.1 to 23.249.255.25423.249.255.255131,070
12623.250.0.0/1523.250.0.1 to 23.251.255.25423.251.255.255131,070
12723.252.0.0/1523.252.0.1 to 23.253.255.25423.253.255.255131,070
12823.254.0.0/1523.254.0.1 to 23.255.255.25423.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses